import 'package:flutter/material.dart';

class JsBorder extends StatelessWidget {
  final double height;
  final double width;
  final Widget child;
  final Color color;

  final bool circle;
  final BorderRadius borderRadius;

  const JsBorder({
    Key key,
    this.color,
    this.circle = true,
    this.child,
    this.borderRadius,
    this.height = 50,
    this.width = 50,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height:height,
      width:width,
      child: Stack(
        alignment: Alignment.center,
        children: [
          Container(
            height: height - 6,
            width: width - 6,
            decoration: BoxDecoration(
              shape: circle ? BoxShape.circle : BoxShape.rectangle,
              borderRadius: borderRadius,
              color: color?.withOpacity(0.1),
            ),
          ),
          Container(
            height: height,
            width: width,
            decoration: BoxDecoration(
              shape: circle ? BoxShape.circle : BoxShape.rectangle,
              borderRadius: borderRadius,
              border: Border.all(
                color: color?.withOpacity(0.5),
              ),
            ),
          ),
          if (child != null) child,
        ],
      ),
    );
  }
}
